Debian Bug report logs - #696077
ITP: libmeta-builder-perl -- tool for creating Meta objects to track custom metrics

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: gregor herrmann <gregoa@debian.org>

Date: Sun, 16 Dec 2012 15:06:01 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: wishlist

Fixed in version libmeta-builder-perl/0.3-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#696077; Package wnpp. (Sun, 16 Dec 2012 15:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 16 Dec 2012 15:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmeta-builder-perl -- tool for creating Meta objects to track custom metrics
Date: Sun, 16 Dec 2012 16:02:46 +0100
Package: wnpp
Owner: gregor herrmann <gregoa@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libmeta-builder-perl
  Version         : 0.3
  Upstream Author : Chad Granum <exodist7@gmail.com>
* URL             : https://metacpan.org/release/Meta-Builder/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : tool for creating Meta objects to track custom metrics

Meta programming is becoming more and more popular. The popularity of Meta
programming comes from the fact that many problems are made significantly
easier. There are a few specialized Meta tools out there, for instance
Class:MOP which is used by Moose to track class metadata.

Meta::Builder is designed to be a generic tool for writing Meta objects.
Unlike specialized tools, Meta::Builder makes no assumptions about what
metrics you will care about. Meta::Builder also mkaes it simple for others to
extend your meta-object based tools by providing hooks for other packages to
add metrics to your meta object.

If a specialized Meta object tool is available to meet your needs please use
it. However if you need a simple Meta object to track a couple metrics, use
Meta::Builder.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 17 Dec 2012 07:09:10 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 18:03:41 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 18:03:41 GMT) Full text and rfc822 format available.

Message #12 received at 696077-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 696077-close@bugs.debian.org
Subject: Bug#696077: fixed in libmeta-builder-perl 0.3-1
Date: Wed, 09 Jan 2013 18:00:15 +0000
Source: libmeta-builder-perl
Source-Version: 0.3-1

We believe that the bug you reported is fixed in the latest version of
libmeta-builder-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696077@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libmeta-builder-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 16 Dec 2012 16:08:32 +0100
Source: libmeta-builder-perl
Binary: libmeta-builder-perl
Architecture: source all
Version: 0.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libmeta-builder-perl - tool for creating Meta objects to track custom metrics
Closes: 696077
Changes: 
 libmeta-builder-perl (0.3-1) unstable; urgency=low
 .
   * Initial release (closes: #696077).
Checksums-Sha1: 
 d0c70c43cd54219e1c945635210d0a2f24dfa7a1 2114 libmeta-builder-perl_0.3-1.dsc
 7efc2a1238f3de27601c2f05695d9cfc50343dfa 9481 libmeta-builder-perl_0.3.orig.tar.gz
 02b89863c2d13f80f715a2cb4be8273178862d33 2036 libmeta-builder-perl_0.3-1.debian.tar.gz
 14c18a9e1138b0818655ae6467c4886445d75a8b 18542 libmeta-builder-perl_0.3-1_all.deb
Checksums-Sha256: 
 7b548664e6505c0741c5d82222ed15ff22685ea00ead5e5136ad8e66eac31a30 2114 libmeta-builder-perl_0.3-1.dsc
 e7ac289b88d1662e87708d716877ac66a1a8414660996fe58c1db96d834a5375 9481 libmeta-builder-perl_0.3.orig.tar.gz
 b74a84a50fb544f595517305451cce71deb2a00f04fabe7bdb59e54b6acfcff3 2036 libmeta-builder-perl_0.3-1.debian.tar.gz
 ae41511c9d5245103079aab6229bad932a45e5554b3c27304796ba0911dc2a6f 18542 libmeta-builder-perl_0.3-1_all.deb
Files: 
 f9e8017c47ce2a33a4e2ae28164aea47 2114 perl optional libmeta-builder-perl_0.3-1.dsc
 9d6c9f88fdd1d5cb3e11e852ac105521 9481 perl optional libmeta-builder-perl_0.3.orig.tar.gz
 762389d783862fa88af05df34fec8111 2036 perl optional libmeta-builder-perl_0.3-1.debian.tar.gz
 db075e25d4d7ff9ff696518195b73fcc 18542 perl optional libmeta-builder-perl_0.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQzeQQAAoJELs6aAGGSaoGlW4P/RLVpfXu7AJk29SnA3PgBo5x
bhcYqdX2tn84u76EvGcAaY1np+j7v38t4lUFNWcR5uMkrMh2uR3gNwJ3Hp7kLj9k
RoFNh+4JESMFLYi78PZU2vP7xfKwlNWSGhrOOIHzKegt1GLIk6ktlOLD0K/SN5zL
JID7A3URk0WqxCDbHamxOXdSG9te4TjuiMRq1LRzSDZ9fizURZUWBfnXVccIp2z2
7wb1TyXQnSIAIwsHgD0nPEip9unuyv8nBLt+Wcu2phHbgierBRIbB3GzKx4CF85E
9+oFM/VehEilDBD7L9g5xBGnOrYdH6LG21LlmbOpJy4Z46HhTi9AoSixbpYAUpee
sLbVn3uKDAWf+LI40NJZwpUFOdvxNBma/W6oOcfNGqeTvGKIL8QKhPJxbvX3KI7A
XM3zc5NuTP0sUp/vCcTkdBsaJzldSt+2dm9MrUugE5kzar1AjSqrRZ8JLhUbHLvZ
O43gma8X0fHIxwklJs1mDcz4ZAeOEHTafyi38zgs+/CMdWqQlUjeLPevG41D2XkQ
Ik/GH8GYn2C3TGpJ7HpGNKnZKRT6J6bucqp/9wglam4FM0B4yDsrC6UCqbbx0q7I
3lQUQgTEM7LtqkDUd/o2JLL4/Slx6oI8FTHnBmAyXqnKfIyz/R1k3+sIAjhiL07f
IzXvKhrQHTjJ8teZY7qj
=B0ti
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Feb 2013 07:29:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:49:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.